package com.dragon.car.service.controller;

import com.dragon.car.service.service.CarManageService;
import com.dragon.common.core.domain.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author : Administrator
 * @description : 汽车管理控制层
 */
@RestController
@RequestMapping ("/car")
public class CarController {
	@Autowired
	CarManageService carManageService;
	
	//传入车辆vin查看是否有
	@RequestMapping ("/carInit")
	public Result carInit (String vin) {
		return carManageService.carInit (vin);
	}
	
	//新增车辆
	@RequestMapping ("/carAdd")
	public Result carAdd (String vin, String carName, String carType, String carColor, String carBrand, String carModel, String carEngine, String carPrice, String carImg) {
		return carManageService.carAdd (vin, carName, carType, carColor, carBrand, carModel, carEngine, carPrice, carImg);
	}
	//修改车辆信息(文件读取)
	
	//删除车辆
	
	
	//查询车辆列表
	
}
